Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_ComponentResizeHandler

Component Resize Handler
Contained in: global
Derived from: none
Derived by: none
Group: GUI (Framework)

#include <ClanLib/gui.h>

### public function member index:
### Construction:
`` | `CL_ComponentResizeHandler` | `(`const` `CL_Rect`& `resize_area`, `CL_Component`* `owner`, `class` `CL_StyleManager`* `style`)`;
``virtual`` | `~CL_ComponentResizeHandler` | `()`;

## Description:

## Function Member Descriptions:

CL_ComponentResizeHandler::CL_ComponentResizeHandler - Component Resize Handler Constructor
`` `CL_ComponentResizeHandler``(`const` `CL_Rect`& `resize_area`, `CL_Component`* `owner`, `class` `CL_StyleManager`* `style`)`;

CL_ComponentResizeHandler::~CL_ComponentResizeHandler - Component Resize Handler Destructor
``virtual`` `~CL_ComponentResizeHandler``()`;

## Variable Member Descriptions: